Summary:       Free Music Instrument Tuner
Name:          fmit
Version:       1.0.15
Release:       %mkrel 1
License:       GPLv2+
Group:         Sound
URL:           http://home.gna.org/fmit/index.html
Source0:       http://download.gna.org/fmit/%{name}-%{version}.tar.xz

BuildRequires: qtbase5-devel
BuildRequires: qtmultimedia5-devel
BuildRequires: qtsvg5-devel
BuildRequires: libxi-devel
BuildRequires: libxmu-devel
BuildRequires: fftw3-devel
BuildRequires: alsa-lib-devel
BuildRequires: libjack-devel
BuildRequires: %{_lib}portaudio-devel
BuildRequires: desktop-file-utils

%global the_icon_file %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%description
%{name} is a graphical utility for tuning musical instruments, with
error and volume history and advanced features like waveform shape,
harmonics ratio (formants), and micro-tonal tuning.

%prep
%setup -q -n %{name}-%{version}
sed -i 's#\(.*\)Name=.*#\1Name=Music Instrument Tuner#g' distrib/%{name}.desktop
sed -i 's#^Comment=.*#Comment=Tunes music instruments#g' distrib/%{name}.desktop
# Otherwise an icon is not visible in the menu (at least in GNOME).
sed -i 's#^Icon=.*#Icon=%{the_icon_file}#g' distrib/%{name}.desktop

%build
export PREFIX="%{buildroot}/usr"
%qmake_qt5 "CONFIG+=acs_qt acs_jack acs_portaudio acs_alsa" "PREFIX=%{buildroot}/usr"
make %{?_smp_mflags}

%install
%makeinstall_std

# desktop file is not installed so do it ourselfs
mkdir -p %{buildroot}/%{_datadir}/applications
cp distrib/%{name}.desktop %{buildroot}%{_datadir}/applications
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files 
%defattr(-,root,root,-)
%doc COPYING_GPL.txt COPYING_LGPL.txt README.txt
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/scales/*.scl
%{_datadir}/%{name}/tr/%{name}_*.ts
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg

%changelog
* Sat Jun 21 2016 ghostbunny <ghostbunny at gmx dot de> 1.0.15-1pclos2016
- 1.0.15
- use new qmake build system
- switch to qt5

* Sun Jul 13 2014 MBantz <martin dot bantz at gmail dot com> 0.99.5-1pclos2014
- Adapted and updated to PCLinux from rel-eng at lists dot fedoraproject dot org
